API Documentation |
GeneExpressionModule

Package | ch.unil.cbg.ExpressionView.model
Class | public class GeneExpressionModule
Inheritance | GeneExpressionModule Object

Base class for a gene expression module. Several modules make up the gene expression data.

Public Properties

| Property | Defined By
--- | --- | ---
|  | GEImage : LargeBitmapData | GeneExpressionModule
|  | Genes : XMLListCollection | GeneExpressionModule
|  | GO : XMLListCollection | GeneExpressionModule
|  | KEGG : XMLListCollection | GeneExpressionModule
|  | ModulesImage : LargeBitmapData | GeneExpressionModule
|  | ModulesOutlines : Vector.<int> | GeneExpressionModule
|  | ModulesRectangles : Vector.<Array> | GeneExpressionModule
|  | nGenes : int | GeneExpressionModule
|  | nSamples : int | GeneExpressionModule
|  | Samples : XMLListCollection | GeneExpressionModule

Public Methods

| Method | Defined By
--- | --- | ---
|  | GeneExpressionModule() | GeneExpressionModule

Property Detail

GEImage | property

`public var GEImage:LargeBitmapData`

Genes | property |

`public var Genes:XMLListCollection`

GO | property |

`public var GO:XMLListCollection`

KEGG | property |

`public var KEGG:XMLListCollection`

ModulesImage | property |

`public var ModulesImage:LargeBitmapData`

ModulesOutlines | property |

`public var ModulesOutlines:Vector.<int>`

ModulesRectangles | property |

`public var ModulesRectangles:Vector.<Array>`

nGenes | property |

`public var nGenes:int`

nSamples | property |

`public var nSamples:int`

Samples | property |

`public var Samples:XMLListCollection`

Constructor Detail

GeneExpressionModule | () | Constructor

`public function GeneExpressionModule()`

Mon Oct 17 2011, 09:13 PM -04:00